package com.yc.education.model;

import org.springframework.context.annotation.Scope;

/**
 * @ClassName Prize
 * @Description TODO
 * @Author QuZhangJing
 * @Date 2019/4/1 15:47
 * @Version 1.0
 */

@Scope("prototype")
public class Prize {

    private Integer pid;
    private String pname;
    private Integer pnub;
    private Double prate;
    private String color;
    private String pdate;


    public Prize() {

    }

    public Prize(Integer pid, String pname, Integer pnub, Double prate, String color, String pdate) {
        this.pid = pid;
        this.pname = pname;
        this.pnub = pnub;
        this.prate = prate;
        this.color = color;
        this.pdate = pdate;
    }

    public String getPdate() {
        return pdate;
    }

    public void setPdate(String pdate) {
        this.pdate = pdate;
    }

    public Integer getPid() {
        return pid;
    }

    public void setPid(Integer pid) {
        this.pid = pid;
    }

    public String getPname() {
        return pname;
    }

    public void setPname(String pname) {
        this.pname = pname;
    }

    public Integer getPnub() {
        return pnub;
    }

    public void setPnub(Integer pnub) {
        this.pnub = pnub;
    }

    public Double getPrate() {
        return prate;
    }

    public void setPrate(Double prate) {
        this.prate = prate;
    }

    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }

    @Override
    public String toString() {
        return "Prize{" +
                "pid=" + pid +
                ", pname='" + pname + '\'' +
                ", pnub=" + pnub +
                ", prate=" + prate +
                ", color='" + color + '\'' +
                '}';
    }
}
